CREATENODETERMBDD(3)

NAME
createNodeTermBdd - creates a terminal node of variable.

SYNOPSYS
#include "logmmm.h"
pNode createNodeTermBdd(index)
short index;

PARAMETER

index
    associated index

DESCRIPTION
createNodeTermBdd() creates a terminal node corresponding to index. Because of reduction table, this function always returns the same pNode for a given index. 0 and 1 index are reserved to the zero and one nodes.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
pNode nodeA;
initializeBdd(SMALL_BDD);
nodeA = createNodeTermBdd(3);
displayBdd(nodeA,1);
/* it will display
@nodeA   INDEX = 2   LOW = ZERO   HIGH = ONE
*/
nodeA = createNodeTermBdd(3);	/* nodeA doesn't change */

destroyBdd(1);

ERROR
"createNodeTermBdd : error - index < 2"
index must be strictly higher than 1.

SEE ALSO
log(1), bdd(1), applyBinBdd(3), applyBdd(3), addListBdd(3), displayBdd(3), notBdd(3).